/* gwcc/src/callbacks.h
 *
 * Copyright (C) 2000, 2001 by Brent D. Ely
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gnome.h>

void
on_save1_activate                 (GtkMenuItem *menuitem, gpointer user_data);

void
on_save_as1_activate              (GtkMenuItem *menuitem, gpointer user_data);

void
on_button_save_as_okay_clicked    (GtkButton   *button,   gpointer user_data);

void
on_button_save_as_cancel_clicked  (GtkButton   *button,   gpointer user_data);

void
on_print1_activate                (GtkMenuItem *menuitem, gpointer user_data);

void
on_exit1_activate                 (GtkMenuItem *menuitem, gpointer user_data);

void
on_app1_destroy                   (GtkObject   *object,   gpointer user_data);

void
on_copy1_activate                 (GtkMenuItem *menuitem, gpointer user_data);

void
on_paste1_activate                (GtkMenuItem *menuitem, gpointer user_data);

void
on_preferences1_activate          (GtkMenuItem *menuitem, gpointer user_data);

void
on_about1_activate                (GtkMenuItem *menuitem, gpointer user_data);


// ------------------------------------------------------------------------- //
// *--- Toolbar Buttons ---*/
// ------------------------------------------------------------------------- //

void
on_button_save_clicked            (GtkButton   *button,   gpointer user_data);

void
on_button_saveas_clicked          (GtkButton   *button,   gpointer user_data);

void
on_button_copy_clicked            (GtkButton   *button,   gpointer user_data);

void
on_button_paste_clicked           (GtkButton   *button,   gpointer user_data);

void
on_button_print_clicked           (GtkButton   *button,   gpointer user_data);


// ------------------------------------------------------------------------- //
// *--- App1 Main Tab Funtions ---*/
// ------------------------------------------------------------------------- //

void
on_grep_button_clicked       (GtkButton       *button,
                             gpointer         user_data);

void
on_button_print_clicked      (GtkButton       *button,
                              gpointer         user_data);

void
on_button_ifconfig_clicked   (GtkButton       *button,
                              gpointer         user_data);

void
on_network_submit_clicked    (GtkButton       *button,
                              gpointer         user_data);

void
on_button_netstat_clicked    (GtkButton       *button,
                              gpointer         user_data);

void
on_spinbutton1_changed       (GtkEditable     *editable,
                              gpointer         user_data);

void
on_print1_activate           (GtkMenuItem     *menuitem,
                              gpointer         user_data);

void
on_button_paste_clicked      (GtkButton       *button,
                              gpointer         user_data);

void
on_button_df_clicked         (GtkButton       *button,
                              gpointer         user_data);

void
on_button_path_clicked       (GtkButton       *button,
                              gpointer         user_data);

void
on_button_ldconfig_clicked   (GtkButton *button,   gpointer user_data);

void
on_button_lpq_clicked        (GtkButton       *button,
                              gpointer         user_data);

void
on_button_env_clicked        (GtkButton       *button,
                              gpointer         user_data);

void
on_button_w_clicked          (GtkButton *button,  gpointer user_data);

void
perform_wsutils_click        (char *operation);

void
on_process_refresh_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_process_clist_click_column          (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

void
on_process_clist_select_row            (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);
void
on_get_detailed_info1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_signal_apply_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_process_clist_unselect_row          (GtkCList        *clist,
                                        gint             row,
                                        gint             column,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_notebook1_switch_page               (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        gint             page_num,
                                        gpointer         user_data);

void
update_sys_stats_tab                   (GtkNotebook     *notebook,
                                        GtkNotebookPage *page,
                                        gint             page_num,
                                        gpointer         user_data);

void
on_users_clist_click_column            (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

void
on_netstat_u_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_netstat_M_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_netstat_i_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_netstat_p_toggled                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_button_print_okay_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_button_print_cancel_clicked         (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_process_clist_button_press_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

void
on_send_sighup1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_send_sigterm1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_send_sigkill1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_entry_network_key_press_event       (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data);
